%  This is a simple script that will generate a header file that
%  contains a reference signal, and a FIR designed with fir1

% open the file
f = fopen('Signal_and_FIR.h','w');
% print out the length of the signal and the FIR
fprintf(f,'#define SIGNAL_LENGTH (%d)\n',N);
fprintf(f,'#define FIR_LENGTH (%d)\n\n',ord+1);
% write the signal
fprintf(f,'double Signal[SIGNAL_LENGTH] = {\n');
for i=1:8:N-8
    fprintf(f,'% 8.3f, ',x(i:i+7));
    fprintf(f,'\n');
end
i = i+8;
fprintf(f,'% 8.3f, ',x(i:N-1));    
fprintf(f,'% 8.3f};\n\n',x(N));
% write the filter coeffs.
fprintf(f,'double fir[FIR_LENGTH] = {\n');
for i=1:8:ord+1-8
    fprintf(f,'% 8.6f, ',FIR(i:i+7));
    fprintf(f,'\n');
end
i = i+8;
fprintf(f,'% 8.6f, ',FIR(i:ord));
fprintf(f,'% 8.6f};\n',FIR(ord+1));
fclose(f);
